<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-leasing-heading" data-cy="LeasingCreateUpdateHeading">Create or edit a Leasing</h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        @if (editForm.controls.id.value !== null) {
          <div class="mb-3">
            <label class="form-label" for="field_id">ID</label>
            <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
          </div>
        }

        <div class="mb-3">
          <label class="form-label" for="field_kode">Kode</label>
          <input type="text" class="form-control" name="kode" id="field_kode" data-cy="kode" formControlName="kode" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_nama">Nama</label>
          <input type="text" class="form-control" name="nama" id="field_nama" data-cy="nama" formControlName="nama" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_alamat">Alamat</label>
          <input type="text" class="form-control" name="alamat" id="field_alamat" data-cy="alamat" formControlName="alamat" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_kota">Kota</label>
          <input type="text" class="form-control" name="kota" id="field_kota" data-cy="kota" formControlName="kota" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_provinsi">Provinsi</label>
          <input type="text" class="form-control" name="provinsi" id="field_provinsi" data-cy="provinsi" formControlName="provinsi" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_kecamatan">Kecamatan</label>
          <input type="text" class="form-control" name="kecamatan" id="field_kecamatan" data-cy="kecamatan" formControlName="kecamatan" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_kelurahan">Kelurahan</label>
          <input type="text" class="form-control" name="kelurahan" id="field_kelurahan" data-cy="kelurahan" formControlName="kelurahan" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_rt">Rt</label>
          <input type="text" class="form-control" name="rt" id="field_rt" data-cy="rt" formControlName="rt" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_rw">Rw</label>
          <input type="text" class="form-control" name="rw" id="field_rw" data-cy="rw" formControlName="rw" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_npwp">Npwp</label>
          <input type="text" class="form-control" name="npwp" id="field_npwp" data-cy="npwp" formControlName="npwp" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_kodePose">Kode Pose</label>
          <input type="text" class="form-control" name="kodePose" id="field_kodePose" data-cy="kodePose" formControlName="kodePose" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_noKontak">No Kontak</label>
          <input type="text" class="form-control" name="noKontak" id="field_noKontak" data-cy="noKontak" formControlName="noKontak" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_techNoKontak">Tech No Kontak</label>
          <input
            type="text"
            class="form-control"
            name="techNoKontak"
            id="field_techNoKontak"
            data-cy="techNoKontak"
            formControlName="techNoKontak"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_techEmail">Tech Email</label>
          <input type="text" class="form-control" name="techEmail" id="field_techEmail" data-cy="techEmail" formControlName="techEmail" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_acctNoKontak">Acct No Kontak</label>
          <input
            type="text"
            class="form-control"
            name="acctNoKontak"
            id="field_acctNoKontak"
            data-cy="acctNoKontak"
            formControlName="acctNoKontak"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_acctEmail">Acct Email</label>
          <input type="text" class="form-control" name="acctEmail" id="field_acctEmail" data-cy="acctEmail" formControlName="acctEmail" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_recordStatus">Record Status</label>
          <input
            type="number"
            class="form-control"
            name="recordStatus"
            id="field_recordStatus"
            data-cy="recordStatus"
            formControlName="recordStatus"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_updateBy">Update By</label>
          <input type="text" class="form-control" name="updateBy" id="field_updateBy" data-cy="updateBy" formControlName="updateBy" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_updateOne">Update One</label>
          <div class="d-flex">
            <input
              id="field_updateOne"
              data-cy="updateOne"
              type="datetime-local"
              class="form-control"
              name="updateOne"
              formControlName="updateOne"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_email">Email</label>
          <input type="text" class="form-control" name="email" id="field_email" data-cy="email" formControlName="email" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_sk">Sk</label>
          <input type="text" class="form-control" name="sk" id="field_sk" data-cy="sk" formControlName="sk" />
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
